<?php session_start();
    $getPost= array_merge($_GET, $_POST, $_FILES);
    
    if(isset($getPost['controlador']) && $getPost['controlador']!= ''){ //Llega controlador
        if(file_exists('controladores/C'.$getPost['controlador'].'.php')){ //Existe el controlador
            if(isset($getPost['metodo']) && $getPost['metodo']!= ''){ //Llega metodo
                $controlador= 'C'.$getPost['controlador'];
                $metodo= $getPost['metodo'];
                require_once 'controladores/'.$controlador.'.php';
                $objCont= new $controlador();
                if(method_exists($objCont, $metodo)){ //Existe el metodo
                    $objCont->$metodo($getPost);
                }else{
                    echo 'Error CF-04'; //No existe el metodo
                }

            }else{
                echo 'Error CF-03'; //No llega metodo
            }

        }else{ //No existe el controlador
            echo 'Error CF-02';
        }

    }else{ //No llega controlador
        echo 'Error CF-01';
    }
    


?>